<div id="find_id_email_layer">
	<div class="account_header_fixed">
		<span class="header_tit">아이디 찾기</span><span class="fr" style="padding-right:20px; padding-top:3px;"><a
				href="/m/"><img src="/img/mobile/img_close.gif"></a></span>
	</div>
	<div class="account_cont_fixed">
		<div class="reply_text">회원정보에 인증등록하신 이메일 주소와 <br> 등록하신 본인 이름을 작성해주시기 바랍니다.
		</div>
		<div class="form-group">
			<label for="exampleInputEmail1">본인확인 이메일로 인증 </label>
			<input type="text" class="form-control" placeholder="이름" name="find_id_name" id="find_id_name"
				   style="width:98%;">
		</div>
		<div class="form-group">
			<input type="text" class="form-control" placeholder="이메일 주소 " name="find_id_email" id="find_id_email">
			<span style="position:absolute; right:0; bottom:8px;"><a onclick="find_id_email_proc()"
																	 class="btn btn-default_bb br10">인증</a></span>
		</div>
		<div class="form-group">

			<input type="text" name="find_id_auth_key" id="find_id_auth_key" class="form-control"
				   placeholder="인증번호 숫자 6자리" style="width:98%;">
			<span style="position:absolute; right:0; bottom:8px;"><a onclick="find_id_email_auth_proc()" class="btn btn-default_bb br10"
																	 style="padding:4px 26px">확인  </a></span>
		</div>
		<div>
			<div style="padding:10px 15px; text-decoration:underline;"><p
					style="font-size:15px; text-align:center; margin:80px 0 20px 0; color:#868686"><a
						href="javascript:find_id_email_proc();">인증번호가 오지 않나요?</a></p>
			</div>
			<div
				style="font-size:13px; padding:20px; border:1px solid #adadad; color:#868686; border-radius:2px; line-height:26px;">
				발송한 메일이 스팸 메일로 분류된 것은 아닌지 확인해 주세요. 스팸 메일함에도 메일이 없다면, 다시 한번 ‘인증’을 눌러주세요.
			</div>
		</div>
		<div class="account_btn">
			<span style="padding: 0;"><a onclick="find_id_email_auth_proc();" class="btn btn-success br5"
										 style="font-size: 17px;padding: 20px 0;width: 100%;">확인 </a></span>
		</div>
	</div>
</div>

<div id="find_id_fin_layer" style="display:none;">

	<div class="account_header_fixed">
		<span class="header_tit">아아디 찾기</span><span class="fr" style="padding-right:20px; padding-top:3px;"><a
				href="/m/"><img src="/img/mobile/img_close.gif"></a></span>
	</div>
	<div class="account_cont">
		<div class="search_text">회원님의 아이디는 <br><span id="find_id_text" class="beachblue">abcd</span><br>
			입니다.
		</div>
		<div class="account_btn" style="margin-top:60px;">
			<span><a href="/m/member/login" class="btn btn-success br5"
					 style="font-size: 17px;padding: 10px 0;width: 60%;">로그인하기 </a></span>
		</div>
	</div>


</div>


<script>

	// 아이디 찾기 메일 보내기
	function find_id_email_proc() {
		if ($("#find_id_name").val() == true) {
			alert("이름을 입력해주세요.");
			return false;
		}
		if ($("#find_id_email").val() == true) {
			alert("이메일주소를 입력해주세요.");
			return false;
		}
		if (checkEmail($("#find_id_email").val()) == false) {
			alert("이메일을 확인해주세요.");
			return false;
		}
		var form_data = {
			"content": $("#find_id_name").val(),
			"email": $("#find_id_email").val(),
			"type": 'id',
		};
		$.ajax({
			url: '/m/member/find_by_email_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {
					alert("인증번호를 메일로 발송했습니다.");
					console.log(rtnJson.data);
					return false;
				} else {
					alert(rtnJson.msg);
					return false;
				}
			},
			error: function (rtnJson) {
				alert('인증번호 발송에 실패했습니다.');
				return false;
			}
		});
	}

	// 아이디찾기 인증 확인
	function find_id_email_auth_proc() {
		if ($("#find_id_name").val() == true) {
			alert("이름을 입력해주세요.");
			return false;
		}
		if ($("#find_id_email").val() == true) {
			alert("이메일주소를 입력해주세요.");
			return false;
		}
		if (checkEmail($("#find_id_email").val()) == false) {
			alert("이메일을 확인해주세요.");
			return false;
		}
		if ($("#find_id_auth_key").val() == true) {
			alert("인증번호를 입력해주세요.");
			return false;
		}

		var form_data = {
			"content": $("#find_id_name").val(),
			"email": $("#find_id_email").val(),
			"type": 'id',
			"auth_key": $("#find_id_auth_key").val()
		};
		$.ajax({
			url: '/m/member/find_by_email_auth_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {
					$('#find_id_email_layer').hide();
					$('#find_id_fin_layer').show();
					$("#find_id_text").html(rtnJson.data);
					return false;


				} else {
					alert(rtnJson.msg);
					return false;
				}
			},
			error: function (rtnJson) {
				alert('인증번호 발송에 실패했습니다.');
				return false;
			}
		});

	}


</script>
